Subject: Re: draft-ietf-ospf-cap-04.txt

From: Vivek Dubey <[email-masked]>
Date: Fri, 17 Dec 2004 09:01:37 -0000

JP,
Comments inlined:

Indeed. In the case of TE, there are various cases where a router may
want to advertise a capability with different flooding scopes thus two
different opaque LSAs. For instance, a router may belong to two
different meshes of TE LSPs, one local to its area (RI LSA of Type 10)
one across the routing domain (RI LSA of Type 11). 

vivek> If i understand correctly you are referring to the case when router has attached NSSA/STUB area's, otherwise RI LSA of Type 11, would suffice.

The same TLV (automesh) is used, with different contents, carried in different LSA (type 10 and 11).

vivek> Why same TLV is required to carry different contents in different scoped LSAs. What if same contents are carried in both Type 10 and Type 11 RI opaque LSAs. Are we intending to hide some information across different OSPF flooding scopes ? Since router's capability is independent of "Flooding Scopes", that should not be the case.

Thanks
Vivek

On Wed, 08 Dec 2004 JP Vasseur wrote :
>Hi Vivek,
>
>On Dec 7, 2004, at 5:16 PM, Acee Lindem wrote:
>
>>Hi Vivek,
>>
>>
>>Vivek Dubey wrote:
>>
>>>Peter,
>>>
>>>1) In case of ABR analogy, the information was directly relevant to
>>>   OSPF routing and even than it was provided as configuration option,
>>>   not a "should" condition.
>>>
>>I think the configuration option is implementation specific. Although
>>it is
>>not covered explicitly I think RFC 3103 implies an ABR will
>>redistribute
>>into both attached NSSAs and regular areas.
>>
>>
>>>
>>>   Here, OSPF RI Opaque LSA is used for both:
>>>   a) Advertising router's OSPF capabilities (TLV 1)
>>>   b) Capablities Opaque to OSPF (Any future TLVs defined)
>>>
>>>   And since flooding scope is per TLV and depends on local policy,
>>>   there should be no dependency on Type's of area configured at OSPF
>>>   level.
>>>
>>>2)
>>>draft>An OSPF router MAY advertise different capabilities when both
>>>       NSSA/stub area type 10 LSA(s) and an AS scoped type 11 opaque
>>>       LSA is advertised.
>>>vivek> Capabilities here should map to different TLV's ??
>>>
>>>Peter>I guess it can be different TLVs or different content in the
>>>same TLV.
>>>
>>>vivek> Different content in same TLV, advertised in different scoped
>>>       LSAs (Type 10 and Type 11). Doesnt seems a good idea to me.
>>>       Any possible scenarios?
>>>
>>JP - can you take a shot at this? I seem to remember that you had a
>>scenario in minde.
>>
>
>Indeed. In the case of TE, there are various cases where a router may
>want to advertise a capability with different flooding scopes thus two
>different opaque LSAs. For instance, a router may belong to two
>different meshes of TE LSPs, one local to its area (RI LSA of Type 10)
>one across the routing domain (RI LSA of Type 11). The same TLV
>(automesh) is used, with different contents, carried in different LSA
>(type 10 and 11).
>
>Thanks.
>
>JP.
>
>>Thanks,
>>Acee
>>
>>>
>>>Thanks
>>>Vivek
>>>
>>>
>>>
>>>
>>>
>>>On Tue, 07 Dec 2004 Peter Psenak wrote :
>>> >Vivek,
>>> >
>>> >Vivek Dubey wrote:
>>> >>Hi,
>>> >>Section 2.3:
>>> >>draft>TLV flooding scope rules will be specified on a per-TLV basis
>>> >>draft>If a type 11 opaque LSA is chosen, the originating router
>>>should
>>> >>      also advertise type 10 LSA(s) into any attached NSSA/stub area
>>> >>
>>> >>vivek) If scope of TLV is defined to be AS (Type 11), why should,
>>>the
>>> >>      originating router advertise type 10 LSA(s) into any
>>> >>      attached NSSA/stub area ? Idea seems to get the capabilities
>>> >>      advertised to NSSA/STUB neighbors of originating router. But
>>> >>      what about NSSA/STUB areas attached not to "originating"
>>> >>      routers??
>>> >
>>> >an analogy is when you have an ABR connected to backbone area and
>>>NSSA
>>> >area and you redistribute routes from some external source. ABR will
>>> >generate Type-5 external LSA, plus it can be configured to advertise
>>> >Type-7 LSA to the NSSA area for the same prefix.
>>> >If you have another ASBR somewhere in backbone area, Type-5 LSAs it
>>> >generates will not get propagated to NSSA area.
>>> >
>>> >>
>>> >>draft>An OSPF router MAY advertise different capabilities when both
>>> >>      NSSA/stub area type 10 LSA(s) and an AS scoped type 11 opaque
>>> >>      LSA is advertised.
>>> >>vivek> Capabilities here should map to different TLV's ??
>>> >
>>> >I guess it can be different TLVs or different content in the same
>>>TLV.
>>> >
>>> >Peter
>>> >
>>> >>
>>> >>Thanks
>>> >>Vivek
>>> >>
>>> >>
>>> >>
>>> >><http://clients.rediff.com/signature/track_sig.asp>
>>>
>>>
>>>
>>><http://clients.rediff.com/signature/track_sig.asp>
>>

---

From: Acee Lindem <[email-masked]>
Date: Sat, 18 Dec 2004 14:29:32 -0500

Hi Vivek,
Independent of the capabilities LSA application, I don't see why a
router couldn't have different capabilities in different areas dependent
on configuration or policy. What do you see wrong with this?

Speaking as work group member,
Acee

Vivek Dubey wrote:

> vivek> If i understand correctly you are referring to the case when 
> router has attached NSSA/STUB area's, otherwise RI LSA of Type 11, 
> would suffice.
>
> vivek> Why same TLV is required to carry different contents in 
> different scoped LSAs. What if same contents are carried in both Type 
> 10 and Type 11 RI opaque LSAs. Are we intending to hide some 
> information across different OSPF flooding scopes ? Since router's 
> capability is independent of "Flooding Scopes", that should not be the 
> case.
>
> Thanks
> Vivek
>
>
>
>

---

From: Nitin Kakkar <[email-masked]>
Date: Tue, 21 Dec 2004 14:41:36 +0530

Hello,
  I have a vlink related question. Please consider the following topology.
Two routers (RTA & RTB) have two interfaces connected between them. A VLINK
is configured between RTA & RTB. Initially the interface cost of e1 was 1000
and interface cost of e0 was 100. So while establishing VLINK the interface
e0 was chosen as outgoing interface.

       vlink with area 1 as the transit
          ********************************
       cost 100
      e0                  	               e0
                      area 1
          -------------------------------
	RTA    			   		   RTB
         -------------------------------
                    area 1
      e1		                           e1
      cost 1000

Now the cost of interface e1 has been changed from 1000 to 1. So now it
offers the best out going interface for VLINK.
To update the VLINK and change the out going interface to e0. should we
1) Bring down the VLINK & Bring it UP again.
2) Should we flush LSA's previously originated while establishing VLINK over
interface e0
3) Is there any mechanism defined to switch over VLINK interface.

Thanks & Regards
Nitin

---

From: sujay <[email-masked]>
Date: Tue, 21 Dec 2004 16:04:25 +0530

1. Maybe there is no need to get the VLINK down, as the VLINK NBR is
still reachable albeit thru another interface.

2. We should flush the LSA and flood the correct router lsa else the
vlink nbr reachability cost is wrong.

Regds,
~Sujay

-----Original Message-----
From: Mailing List [mailto:[email-masked]] On Behalf Of Nitin
Kakkar
Sent: Tuesday, December 21, 2004 2:42 PM
To: [email-masked]
Subject: Vlink Question

Hello,
  I have a vlink related question. Please consider the following
topology. Two routers (RTA & RTB) have two interfaces connected between
them. A VLINK is configured between RTA & RTB. Initially the interface
cost of e1 was 1000 and interface cost of e0 was 100. So while
establishing VLINK the interface e0 was chosen as outgoing interface.

Now the cost of interface e1 has been changed from 1000 to 1. So now it
offers the best out going interface for VLINK. To update the VLINK and
change the out going interface to e0. should we
1) Bring down the VLINK & Bring it UP again.
2) Should we flush LSA's previously originated while establishing VLINK
over interface e0
3) Is there any mechanism defined to switch over VLINK interface.

Thanks & Regards
Nitin

---

From: Santosh Esale <[email-masked]>
Date: Tue, 21 Dec 2004 16:12:00 +0530

Hi nitin,
           In ospfv3, I guess thier is no need to bring down the
adjacency, only re-orginate the router-lsa.

More comments expected .

The process may occur as follow
----------------------------------------------
Destination ipv6 addresses for a vlink has been set to the FIRST prefix
encountered having the "LA-bit" set(either of e0 or e1's ipv6
address/128, with next-hop to e0 in first case ),Now when the cost is
changed, SPF will change the next-hop of vlink to e1 while calculating
transit areas' summary-LSAs,and hence the unicats hello's on vlink
will use the next-hop address of e1 instead of e0,as well the
interface id(which has been allocated to vlink) is same, only the 
virtual(p2p) link cost has been changed betw RTA and RTB, hence
re-orginate the router-lsa and trigger SPF.why to bring down the
adjaceny  and bring up ?

regards
Santosh